package com.qs.mp.quartz.task;

import com.qs.mp.pay.service.IPayOrderService;
import com.qs.mp.pay.service.IWalletService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 支付相关任务
 * @author Cup
 * @date 2022/4/20
 */
@Component("payTask")
public class PayTask {

    protected final Logger logger = LoggerFactory.getLogger(this.getClass().getSimpleName());


    @Autowired
    private IWalletService walletService;

    @Autowired
    private IPayOrderService payOrderService;

    public void refund(String orderNo, Integer refundAmount){
        walletService.refund(orderNo, refundAmount);
    }

}
